Loading...
Searching...
No Matches
CommonUtils.h File Reference
`#include <sstream>`
`#include <unistd.h>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | ASSA
namespace | ASSA::Utils

## Macros

#define | ASSA_DIR_SEPARATOR '/'
| CommonUtils.h.
#define | ASSA_DIR_SEPARATOR_S "/"
#define | ASSA_IS_DIR_SEPARATOR(c) ((c) == ASSA_DIR_SEPARATOR)
#define | ASSA_SEARCHPATH_SEPARATOR ':'
#define | ASSA_SEARCHPATH_SEPARATOR_S ":"

## Functions

void | ASSA::Utils::split (const char *text_, std::vector< std::string > &vec_)
| Split character string into tokens separated by the whitespace character (blank, tab, newline, formfeed, and carriage return).
int | ASSA::Utils::split_pair (const string &text_, char sep_, string &lhs_, string &rhs_)
| Split input string into two parts separated by the separator character.
int | ASSA::Utils::ltrim (std::string &text_, const std::string &delim_)
| Trim string from the beginning to the left of the delimiter.
int | ASSA::Utils::rtrim (std::string &text_, const std::string &delim_)
| Trim string from the delimiter to the end of the string.
void | ASSA::Utils::trim_sides (std::string &text_)
| Trim white spaces and tabs from the beginning and the end of the text string.
void | ASSA::Utils::find_and_replace_char (std::string &text_, char src_, char dest_)
| Find and relpace all instances of src_ character with dest_ character in a string text_.
std::string | ASSA::Utils::strenv (const char *in_)
| Expand the passed string in_ by substituting environment variable names for their values.
std::string | ASSA::Utils::get_cwd_name ()
| Get current working directory.
void | ASSA::Utils::sleep_for_seconds (long secs_to_sleep_)
| Portable sleep.

## Macro Definition Documentation

## ASSA_DIR_SEPARATOR

#define ASSA_DIR_SEPARATOR '/'

CommonUtils.h.

A random collection of unrelated static functions. Windows has its own wicked way of delimiting path. This is borrowed fro glib.

Definition at line 47 of file CommonUtils.h.

## ASSA_DIR_SEPARATOR_S

#define ASSA_DIR_SEPARATOR_S "/"

Definition at line 48 of file CommonUtils.h.

## ASSA_IS_DIR_SEPARATOR

#define ASSA_IS_DIR_SEPARATOR | ( |  | c | ) | ((c) == ASSA_DIR_SEPARATOR)

Definition at line 49 of file CommonUtils.h.

## ASSA_SEARCHPATH_SEPARATOR

#define ASSA_SEARCHPATH_SEPARATOR ':'

Definition at line 50 of file CommonUtils.h.

## ASSA_SEARCHPATH_SEPARATOR_S

#define ASSA_SEARCHPATH_SEPARATOR_S ":"

Definition at line 51 of file CommonUtils.h.